%function [FirstArray,SecondArray] = load_data(fast5)
% funkce slouží k načtení fast5 souborů a vyseparování signálu a výsledného
% čtení
%fast5 = 'Clostridium_beijerinckii_MIN106_LSK109.fast5'

file = hdf5info(fast5);
data1 = cell(4000,6);
for i=1:4000% raw
    data1{i,6}=double(hdf5read(file.GroupHierarchy.Groups(i).Groups(1).Datasets(1)));
   
end 
for i=1:4000;
data1{i,2}= cellstr(file.GroupHierarchy.Groups(i).Groups(2).Name);

end

for i=1:4000; %offset
data1{i,3}= double(file.GroupHierarchy.Groups(i).Groups(2).Attributes(2).Value);

end

for i=1:4000; %range
data1{i,4}=  double(file.GroupHierarchy.Groups(i).Groups(2).Attributes(3).Value);

end

for i=1:4000; %scale
  
data1{i,5}= data1{i,4}/double(file.GroupHierarchy.Groups(i).Groups(2).Attributes(1).Value);

end
for i=1:4000; %vysledny signal
data1{i,1} = data1{i,5} * (data1{i,6} + data1{i,3});
end
data = data1(~cellfun('isempty',data1))
% do výsledku je uložen signál a informace o čtení
h = floor(size(data,1)/6);
FirstArray = data(1:h, :);
SecondArray = data(h+1:2000, :);
vysledek =  [FirstArray, SecondArray]
%end
%vvýsledek je v data1, to je poté uloženo jako CB.mat
